{{- $position := .position -}}
{{- $title := .title -}}
{{- with .data -}}
  <section class="block-timeline" id="block-{{ $position }}">
    <div class="container">
      <div class="block-content">
        {{ with $title -}}
        <h2 id="{{ . | urlize }}">{{ partial "osuny/PrepareHTML" . }}</h2>
        {{- end }}
        {{ with . -}}
          <div class="events">
            {{ range .events -}}
            <div class="event">
              <p>
              {{ with .title -}}
                <strong>{{ partial "osuny/PrepareHTML" . }}</strong> <br>
              {{- end }}
              {{ with .text -}}
                {{ partial "osuny/PrepareHTML" . }}
              {{- end }}
              </p>
            </div>
            {{ end -}}
          </div>
        {{ end -}}
      </div>
    </div>
  </section>
{{- end -}}
